Subject: [rbridge] Special VLANs and Flags Sub-TLV query..

From: gururam m <[email-masked]>
Date: Wed, 18 Jan 2012 12:52:43 +0530

Hi,
      In RFC 6326 the special VLANs and Flags Sub-TLV has "Sender Nickname"
filed. If an RBridge has single nickname then that will be included in the
"Sender Nickname" field. But what if the RBridge supports multiple
nicknames let us say 4 of them. Then which one of the 4 nicknames is sent
in the "Sender Nickname" field  in the above sub-TLV.

Regards
Ram
_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge

---

From: Donald Eastlake <[email-masked]>
Date: Wed, 18 Jan 2012 03:54:46 -0500

Hi,

It is an implementation choice. I can't off hand see any reason why it
would make any difference. The only uses of this "Sender Nickname"
field in Hellos are

(1) To tell end stations that are doing TRILL encapsulation what
nickname to put in the ingress nickname field of the TRILL Header.
(see point 8 near the start of Section 4.6.2 of RFC 6325)

(2) If the relevant part of the clarifications an corrections draft is
adopted, it would also be used for self appointment sub-TLVs as per
Section 10.1 of draft-eastlake-trill-rbridge-clear-correct-03.txt.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Wed, Jan 18, 2012 at 2:22 AM, gururam m <[email-masked]> wrote:
> "Sender Nickname" field. But what if the RBridge supports multiple nicknames
> let us say 4 of them. Then which one of the 4 nicknames is sent in the
> "Sender Nickname" field  in the above sub-TLV.
>
> Regards
> Ram
>
>